Package com.documentum.com

# Interface IDfSmartClientX

public interface IDfSmartClientX

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.documentum.fc.client.relationship.IDfObjectIdentity`
  `getAbsoluteIdentity(IDfId id)`
  `com.documentum.fc.client.smart.IDfAnnotation`
  `getAnnotation()`
  `com.documentum.fc.client.smart.IDfConstraintDescriptor`
  `getConstraintDescriptor()`
  `com.documentum.fc.client.smart.IDfEvent`
  `getEvent(String identifier, IDfId source)`
  `com.documentum.fc.client.smart.IDfModuleActivation`
  `getModuleActivation()`
  `com.documentum.fc.client.relationship.IDfObjectIdentity`
  `getPathIdentity(String path)`
  `com.documentum.fc.client.smart.IDfPlaceholderDescriptor`
  `getPlaceholderDescriptor()`
  `com.documentum.fc.client.relationship.IDfObjectIdentity`
  `getQualificationIdentity(String qualification)`
  `com.documentum.fc.client.relationship.IDfRelationshipInfo`
  `getRelationshipInfo()`
  `com.documentum.fc.client.relationship.IDfRelationshipSchema`
  `getRelationshipSchema(IDfSession session)`
  `com.documentum.fc.client.relationship.IDfVersionIdentity`
  `getVersionIdentity(IDfId chronicleId, String versionLabel)`

- ## Method Details

  - ### getAbsoluteIdentity

    com.documentum.fc.client.relationship.IDfObjectIdentity getAbsoluteIdentity(IDfId id)

  - ### getVersionIdentity

    com.documentum.fc.client.relationship.IDfVersionIdentity getVersionIdentity(IDfId chronicleId, String versionLabel)

  - ### getPathIdentity

    com.documentum.fc.client.relationship.IDfObjectIdentity getPathIdentity(String path)

  - ### getQualificationIdentity

    com.documentum.fc.client.relationship.IDfObjectIdentity getQualificationIdentity(String qualification)

  - ### getPlaceholderDescriptor

    com.documentum.fc.client.smart.IDfPlaceholderDescriptor getPlaceholderDescriptor()

  - ### getConstraintDescriptor

    com.documentum.fc.client.smart.IDfConstraintDescriptor getConstraintDescriptor()

  - ### getRelationshipInfo

    com.documentum.fc.client.relationship.IDfRelationshipInfo getRelationshipInfo()

  - ### getModuleActivation

    com.documentum.fc.client.smart.IDfModuleActivation getModuleActivation()

  - ### getAnnotation

    com.documentum.fc.client.smart.IDfAnnotation getAnnotation()

  - ### getEvent

    com.documentum.fc.client.smart.IDfEvent getEvent(String identifier, IDfId source)

  - ### getRelationshipSchema

    com.documentum.fc.client.relationship.IDfRelationshipSchema getRelationshipSchema(IDfSession session)